@charset "UTF-8";
.qr-modal {
  width: 100%;
  position: fixed;
  background: rgba(0, 0, 0, 0.411);
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  z-index: 100;
  height: 100%;
  align-items: center;
  justify-content: center;
  padding: 15px;
  display: flex !important;
  opacity: 0;
  pointer-events: none;
}
.qr-modal .qr-modal-body {
  position: fixed;
  left: 50%;
  background: #fff;
  text-align: center;
  max-width: 480px;
  margin: auto;
  transform: translate(-50%, 200%);
  padding: 20px;
  border-radius: 5px;
}
.qr-modal .qr-modal-body .qr-container {
  position: relative;
}
.qr-modal .qr-modal-body #qrcode {
  width: 100%;
  min-width: 300px;
  min-height: 300px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.qr-modal .qr-modal-body .qr-logo {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 45px;
  height: 45px;
  transform: translate(-50%, -50%);
  border-radius: 8px;
  background: white;
  padding: 8px;
  box-shadow: 0 0 4px rgba(0, 0, 0, 0.2);
}
.qr-modal .qr-modal-body .close {
  height: 40px;
  padding: 0 25px;
  margin-bottom: 0px;
  margin-top: 30px;
  background: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: auto;
  margin-bottom: 0px;
  margin-top: 30px;
  border: 1px solid #7d7d7d;
  border-radius: 10px;
  color: #222222;
  pointer-events: all;
}
.qr-modal .qr-modal-body p {
  font-weight: 600;
  margin-bottom: 20px;
}
.qr-modal.show {
  opacity: 1;
}
.qr-modal.show .qr-modal-body {
  position: fixed;
  top: 50%;
  transform: translate(-50%, -50%);
  transition: all 0.5s ease-out;
}

.show-qr {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 100;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  font-size: 0.9rem;
  background: #ffffff !important;
  padding: 10px;
  border: 1.2px solid #000000 !important;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 10px !important;
  cursor: pointer;
}
.show-qr img {
  height: 100%;
  -o-object-fit: contain;
     object-fit: contain;
}

.hide {
  display: none;
}

.main-qr {
  width: 100%;
  max-width: 480px;
  height: 100%;
  min-height: 350px;
  margin: auto;
  background: #efefef;
  background: url("https://cdn.kadio.id/images/logo/logo-fix.svg") bottom 30px center no-repeat, url("https://cdn.kadio.id/cdn/1748321896_3853752_8131012.jpg") center, #efefef;
  background-size: 150px, cover;
}
.main-qr #preview {
  background: url("https://cdn.kadio.id/cdn/1748321896_3853752_8131012.jpg") center, #f6f6f6;
}
.main-qr #preview video {
  width: 100% !important;
  -o-object-fit: cover;
     object-fit: cover;
}
.main-qr .mempelai {
  position: fixed;
  top: 90px;
  width: 100%;
  text-align: center;
  z-index: 2;
}
.main-qr .mempelai .title {
  text-transform: uppercase;
  letter-spacing: 5px;
  font-size: 12px;
  margin-bottom: 4px;
}
.main-qr .mempelai .flex {
  display: flex;
  justify-content: center;
}
.main-qr .mempelai .flex .and {
  margin: 0 5px;
}
.main-qr .mempelai .flex .groom, .main-qr .mempelai .flex .bride, .main-qr .mempelai .flex .and {
  font-size: 1.5rem;
}
.main-qr .scanner {
  height: calc(100% - 335px);
  background: #efefef;
  width: 100%;
}
.main-qr .guest-info {
  box-sizing: border-box;
  height: 295px;
  padding: 20px;
  background: radial-gradient(#ffd7d4, #fff4d4);
  border-radius: 0;
  transition: all 0.5s ease-in-out;
}
.main-qr .guest-info h2 {
  margin-left: 4px;
  margin-bottom: 5px;
  font-size: 1.2rem;
}
.main-qr .guest-info.active {
  background: #fff;
  height: auto;
  padding: 40px 20px;
  box-shadow: 0px 0px 25px 3px rgba(0, 0, 0, 0.05);
  border-radius: 30px;
  position: fixed;
  width: 96%;
  top: 53%;
  transform: translateY(-50%);
  left: 2%;
  transition: all 0.5s ease-in-out;
}
.main-qr .btn-check-in {
  height: 40px;
  width: 100%;
  background: #de5f5a;
  border: none;
  border-radius: 5px;
  color: #ffffff;
  font-size: 1rem;
}
.main-qr .btn-check-in.disable {
  pointer-events: none;
  background: #eaeaea;
}
.main-qr .btn-rescan {
  height: 40px;
  width: 100%;
  background: #ffffff;
  border: 1px solid #595959;
  border-radius: 5px;
  font-size: 1rem;
  margin-top: 12px;
  color: #595959;
}
.main-qr .btn-rescan.disable {
  pointer-events: none;
  background: #eaeaea;
}
.main-qr .notes {
  background: rgba(255, 255, 255, 0.4);
  -webkit-backdrop-filter: blur(3px);
          backdrop-filter: blur(3px);
  color: #f07671;
  height: 40px;
  width: 100%;
  font-size: 1rem;
  border-radius: 5px;
  text-align: center;
  padding: 10px;
}
.main-qr video {
  height: 100%;
}
.main-qr table tr td {
  padding: 5px 2px;
}
.main-qr table tr td.label {
  max-width: 100px;
}
.main-qr .top {
  height: 45px;
  width: 100%;
  background: #484848;
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: relative;
  padding: 0 20px;
}
.main-qr .top.red {
  background: #de5f5a;
}
.main-qr .top h1 {
  color: #fff;
  font-size: 1.2rem;
  text-align: center;
}
.main-qr .top .btn-close {
  border: none;
  background: #fff;
  padding: 5px 10px;
  font-size: 0.9rem;
  text-decoration: none;
  color: #595959;
}

.rsvp-modal .header {
  background: #ffffff;
  width: 100%;
  height: 60px;
  position: relative;
  display: flex;
  align-items: center;
  padding: 0 20px;
  border-radius: 10px 10px 0 0;
}
.rsvp-modal .header h3 {
  font-size: 1.3rem;
  color: #454447;
}
.rsvp-modal .header .close-modal-2 {
  height: 40px;
  width: 40px;
  background-color: rgba(129, 129, 129, 0.2);
  border-radius: 50%;
  position: absolute;
  right: 15px;
  top: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #b94239;
  font-size: 18px;
  cursor: pointer;
  z-index: 99;
  transform: translateY(-50%);
}
.rsvp-modal .body {
  position: relative;
  max-height: 600px;
  overflow-y: auto;
  padding: 0 20px 0px 20px;
}

.modal-rsvp {
  color: #1e2327;
  max-height: 450px;
  overflow: hidden;
  overflow-y: auto;
}
.modal-rsvp .guest-name-group label {
  font-size: 0.9rem;
  color: #5e5d56;
  margin-bottom: 7px;
  display: block;
}
.modal-rsvp .guest-name-group input {
  width: 100%;
  height: 40px;
  border-radius: 5px;
  box-shadow: none;
  border: none;
  border: 1px solid #939393;
  padding: 10px;
  color: #5e5d56;
}
.modal-rsvp .guest-name-group input:focus {
  border-color: rgba(222, 95, 90, 0.3215686275);
  outline: none;
}
.modal-rsvp .guest-name-group small {
  color: #5e5d56;
  margin-top: 6px;
  display: block;
}
.modal-rsvp .rsvp-list-event {
  list-style: none;
}
.modal-rsvp .rsvp-list-event li {
  margin-bottom: 15px;
  position: relative;
  border: 1px solid #ffffff;
}
.modal-rsvp .rsvp-list-event li .item {
  padding: 15px;
  box-shadow: 2px 2px 11px 3px rgba(183, 183, 183, 0.25);
  border-radius: 5px;
  overflow: hidden;
  padding-left: 50px;
}
.modal-rsvp .rsvp-list-event li .item label {
  text-transform: uppercase;
  font-size: 12px;
  letter-spacing: 3px;
  color: #5e5d56;
  line-height: 125%;
  display: block;
  margin-top: 5px;
}
.modal-rsvp .rsvp-list-event li .item .value {
  font-size: 18px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  color: #5e5d56;
  font-weight: 400;
  font-family: sans-serif;
}
.modal-rsvp .rsvp-list-event li:is(:last-child) {
  margin-bottom: 25px;
}
.modal-rsvp .rsvp-list-event li::after {
  content: "";
  width: 15px;
  height: 15px;
  background: #ffffff;
  border: 1px solid #858383;
  position: absolute;
  top: 18px;
  left: 15px;
  border-radius: 5px;
  transition: all 0.25s ease-in-out;
}
.modal-rsvp .rsvp-list-event li.active {
  border: 1px solid rgba(222, 95, 90, 0.3215686275);
  border-radius: 7px;
  transition: all 0.25s ease-in-out;
}
.modal-rsvp .rsvp-list-event li.active::after {
  content: "✓";
  width: 20px;
  height: 20px;
  background: #de5f5a;
  color: #fff;
  position: absolute;
  top: 14px;
  left: 15px;
  border-radius: 5px;
  font-size: 14px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-color: #de5f5a;
}
.modal-rsvp p {
  margin-bottom: 10px;
  display: block;
  font-weight: 500;
  color: #5e5d56;
  font-size: 0.9rem;
}
.modal-rsvp .jumlah-hadir div {
  width: 100%;
  border-radius: 10px;
  border: none;
  background: #ffffff;
  padding: 5px 0px;
}
.modal-rsvp .list-number {
  display: flex;
  list-style: none;
  margin-bottom: 10px;
  overflow: hidden;
  flex-wrap: nowrap;
  overflow-x: auto;
}
.modal-rsvp .list-number li:not(:last-child) {
  margin-right: 10px;
}
.modal-rsvp .list-number li button {
  width: 50px;
  height: 50px;
  border: none;
  border-radius: 50%;
  font-size: 1rem;
  transition: all 0.25s ease-in-out;
  cursor: pointer;
}
.modal-rsvp .list-number li button.active {
  background: #5e5d56;
  color: #fff;
  border: none;
  border-radius: 50%;
  transition: all 0.25s ease-in-out;
}

.footer-rsvp-modal {
  width: 100%;
  padding: 10px;
  background: #fff;
  border-radius: 0 0 7px 7px;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 2px 2px 11px 3px rgba(183, 183, 183, 0.25);
  z-index: 89;
}
.footer-rsvp-modal .btn-rsvp-confirmation {
  text-transform: uppercase;
  font-weight: 400;
  background: #de5f5a;
  border: 1px solid #de5f5a;
  color: #fff;
  padding: 0px 100px;
  border-radius: 30px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  width: 100%;
  max-width: 300px;
}
.footer-rsvp-modal .btn-rsvp-confirmation .loader {
  display: none;
}
.footer-rsvp-modal .btn-rsvp-confirmation.processing {
  width: auto;
  pointer-events: none;
  background: #848484;
  border: 1px solid #848484;
}
.footer-rsvp-modal .btn-rsvp-confirmation.processing .loader {
  text-transform: capitalize;
  font-size: 0.9rem;
  width: 100%;
  display: flex;
  align-items: center;
  text-align: center;
  text-wrap-mode: nowrap;
}
.footer-rsvp-modal .btn-rsvp-confirmation.processing .text {
  display: none;
}

.btn-open-rsvp {
  margin-top: 0;
  background: #A47350;
  border-color: #A47350;
  color: #ffffff;
  border: none;
  display: flex;
  align-items: center;
  justify-content: center;
}

.list-member-group-overlay {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 99;
  display: none;
  background: rgba(0, 0, 0, 0.6);
  height: 100%;
  width: 100%;
}
.list-member-group-overlay.show {
  display: block;
}

.list-member-group-modal {
  opacity: 1;
  position: fixed;
  bottom: 0;
  left: 0;
  z-index: 99;
  background: #ffffff;
  border-radius: 10px 10px 0 0;
  width: 100%;
  transform: translateY(150%);
  transition: all 0.3s ease-in;
  width: 96%;
  left: 2%;
}
.list-member-group-modal .acsen {
  width: 100px;
  margin: auto;
  margin-top: 15px;
  height: 3px;
  border-radius: 3px;
  background: rgb(207, 207, 207);
}
.list-member-group-modal.show {
  display: block;
  transform: translateY(0%);
  transition: all 0.3s ease-in;
}
.list-member-group-modal .body {
  padding: 30px 25px;
}
.list-member-group-modal .body a, .list-member-group-modal .body button {
  border: 1px solid #5d5c55;
  position: relative;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 5px;
  padding: 5px;
  font-size: 0.9rem;
  height: 40px;
}
.list-member-group-modal .body a {
  margin-bottom: 10px;
  color: #5d5c55;
}
.list-member-group-modal .body button {
  background: #5d5c55;
  color: #fff;
  height: 40px;
}
.list-member-group-modal .body button.flat {
  background: none;
  border: none;
  color: #5d5c55;
  margin-top: 10px;
}
.list-member-group-modal .body .group-name {
  height: 35px;
  position: relative;
  display: flex;
  align-items: center;
  width: 100%;
  background: rgba(76, 175, 80, 0.1803921569);
  border: 1px solid rgba(76, 175, 80, 0.3);
  border-radius: 5px;
  padding: 7px 10px;
  margin-bottom: 15px;
}
.list-member-group-modal .body .description {
  margin-bottom: 20px;
}
.list-member-group-modal .body .description p {
  font-size: 1rem;
  font-weight: bold;
  margin-bottom: 10px;
  font-family: sans-serif;
}
.list-member-group-modal .body .description small {
  font-family: sans-serif;
  font-size: 0.8rem;
}
.list-member-group-modal .body .list-group-member {
  max-height: 500px;
  min-height: 200px;
  overflow: hidden;
  overflow-y: auto;
}
.list-member-group-modal .body .list-group-member li {
  display: flex;
  margin-bottom: 10px;
  border-bottom: 1px dashed #d5d5d5;
  padding-bottom: 7px;
  align-items: center;
  font-family: sans-serif;
}
.list-member-group-modal .body .list-group-member li .name {
  width: calc(100% - 50px);
}
.list-member-group-modal .body .list-group-member li .action {
  width: 50px;
}
.list-member-group-modal .body .list-group-member li .action button {
  background: rgba(222, 95, 90, 0.0901960784);
  color: #de5f5a;
  height: 25px;
  border: 1px solid rgba(222, 95, 90, 0.6);
  font-size: 0.85rem;
}
.list-member-group-modal .body .list-group-member li .action button.hadir {
  background: rgba(76, 175, 80, 0.2784313725);
  color: #4caf50;
  border: 1px solid rgba(76, 175, 80, 0.2784313725);
}

.loading-wait {
  position: fixed;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6117647059);
  top: 0;
  left: 0;
  z-index: 99;
  display: none;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  color: #fff;
  -webkit-backdrop-filter: blur(1px);
          backdrop-filter: blur(1px);
}
.loading-wait img {
  margin-bottom: 10px;
}
.loading-wait.show {
  display: flex;
}